com.genesyslab.wfm8.API.service.schedule852

## Class SchState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchState

- All Implemented Interfaces:
    java.io.Serializable

      public class SchState
      extends java.lang.Object
      implements java.io.Serializable

  The schedule state is the most basic element of an agent's schedule. The agent schedule is built on a day basis, and every day schedule contains one or more states scheduled. At any given moment during the day, an agent is assigned one schedule state (in most cases). There is one exception to that. Multi-skilled agents can be scheduled to work on more than one activity at the same time. In such cases agents may have more than one schedule state for the same period of time. Usually schedule states have defined start and end times, but some states are full-day, and, by nature, have no start and end time defined.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected double` | `wmEndDateTime` Schedule state end date/time.
    `protected java.lang.String` | `wmMemo` State memo [256]
    `protected boolean` | `wmPaid` Is state paid (true/false)
    `protected int` | `wmPaidMinutes` Paid minutes
    `protected int` | `wmRefId` Secondary ID, if any
    `protected int` | `wmRefType` Type of Secondary ID `ESchRefType`
    `protected double` | `wmStartDateTime` Schedule state start date/time.
    `protected int` | `wmStateId` State ID, identifies some configuration object depending on "wmStateType" value
    `protected int` | `wmStateType` State type `ESchStateType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `java.lang.String` | `getWmMemo()` Gets the value of the wmMemo property.
    `int` | `getWmPaidMinutes()` Gets the value of the wmPaidMinutes property.
    `int` | `getWmRefId()` Gets the value of the wmRefId property.
    `int` | `getWmRefType()` Gets the value of the wmRefType property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `getWmStateId()` Gets the value of the wmStateId property.
    `int` | `getWmStateType()` Gets the value of the wmStateType property.
    `int` | `hashCode()`
    `boolean` | `isWmPaid()` Gets the value of the wmPaid property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmMemo(java.lang.String value)` Sets the value of the wmMemo property.
    `void` | `setWmPaid(boolean value)` Sets the value of the wmPaid property.
    `void` | `setWmPaidMinutes(int value)` Sets the value of the wmPaidMinutes property.
    `void` | `setWmRefId(int value)` Sets the value of the wmRefId property.
    `void` | `setWmRefType(int value)` Sets the value of the wmRefType property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmStateId(int value)` Sets the value of the wmStateId property.
    `void` | `setWmStateType(int value)` Sets the value of the wmStateType property.
    `java.lang.String` | `toString()`
    `SchState` | `withWmEndDateTime(double value)`
    `SchState` | `withWmMemo(java.lang.String value)`
    `SchState` | `withWmPaid(boolean value)`
    `SchState` | `withWmPaidMinutes(int value)`
    `SchState` | `withWmRefId(int value)`
    `SchState` | `withWmRefType(int value)`
    `SchState` | `withWmStartDateTime(double value)`
    `SchState` | `withWmStateId(int value)`
    `SchState` | `withWmStateType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStateType

          protected int wmStateType

      State type `ESchStateType`

    - #### wmStateId

          protected int wmStateId

      State ID, identifies some configuration object depending on "wmStateType" value

    - #### wmRefType

          protected int wmRefType

      Type of Secondary ID `ESchRefType`

    - #### wmRefId

          protected int wmRefId

      Secondary ID, if any

    - #### wmStartDateTime

          protected double wmStartDateTime

      Schedule state start date/time. `OleDateTime`

    - #### wmEndDateTime

          protected double wmEndDateTime

      Schedule state end date/time. `OleDateTime`

    - #### wmPaid

          protected boolean wmPaid

      Is state paid (true/false)

    - #### wmPaidMinutes

          protected int wmPaidMinutes

      Paid minutes

    - #### wmMemo

          protected java.lang.String wmMemo

      State memo [256]

  - ### Constructor Detail

    - #### SchState

          public SchState()

  - ### Method Detail

    - #### getWmStateType

          public int getWmStateType()

      Gets the value of the wmStateType property.

    - #### setWmStateType

          public void setWmStateType(int value)

      Sets the value of the wmStateType property.

    - #### getWmStateId

          public int getWmStateId()

      Gets the value of the wmStateId property.

    - #### setWmStateId

          public void setWmStateId(int value)

      Sets the value of the wmStateId property.

    - #### getWmRefType

          public int getWmRefType()

      Gets the value of the wmRefType property.

    - #### setWmRefType

          public void setWmRefType(int value)

      Sets the value of the wmRefType property.

    - #### getWmRefId

          public int getWmRefId()

      Gets the value of the wmRefId property.

    - #### setWmRefId

          public void setWmRefId(int value)

      Sets the value of the wmRefId property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the value of the wmPaid property.

    - #### setWmPaid

          public void setWmPaid(boolean value)

      Sets the value of the wmPaid property.

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the value of the wmPaidMinutes property.

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int value)

      Sets the value of the wmPaidMinutes property.

    - #### getWmMemo

          public java.lang.String getWmMemo()

      Gets the value of the wmMemo property.
      Returns:
        possible object is `String`

    - #### setWmMemo

          public void setWmMemo(java.lang.String value)

      Sets the value of the wmMemo property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmStateType

          public SchState withWmStateType(int value)

    - #### withWmStateId

          public SchState withWmStateId(int value)

    - #### withWmRefType

          public SchState withWmRefType(int value)

    - #### withWmRefId

          public SchState withWmRefId(int value)

    - #### withWmStartDateTime

          public SchState withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public SchState withWmEndDateTime(double value)

    - #### withWmPaid

          public SchState withWmPaid(boolean value)

    - #### withWmPaidMinutes

          public SchState withWmPaidMinutes(int value)

    - #### withWmMemo

          public SchState withWmMemo(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.